//+------------------------------------------------------------------+
//|                                           VegasCurrencyDaily.mq4 |
//|                                                          "Vegas" |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Vegas"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Green // green
#property indicator_color2 Blue // blue
#property indicator_color3 Blue
#property indicator_color4 Blue
#property indicator_color5 Blue
#property indicator_color6 Red // Red
#property indicator_color7 Red // Red
#property indicator_color8 Red // Red
//---- input parameters
extern int    timeFrame = 0;
extern bool   Alerts    = true;
extern int    RiskModel = 1;
extern int    MA1Period = 144;   // 144
extern int    MA1Mode   = MODE_EMA;
extern int    MA1Price  = PRICE_CLOSE;
extern int    MA2Period = 169;   // 169
extern int    MA2Mode   = MODE_EMA;
extern int    MA2Price  = PRICE_CLOSE;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];
double ExtMapBuffer8[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexBuffer(7,ExtMapBuffer8);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   double pipMultiplier = 1;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
         int limit=MathMax(Bars-counted_bars,3*timeFrame/Period());
         if (Digits==3 || Digits==5) 
               pipMultiplier = 10;
         else  pipMultiplier = 1;      
   
   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--) 
   { 
       int y = iBarShift(NULL,timeFrame,Time[i]);
       ExtMapBuffer1[i]=iMA(NULL,timeFrame,MA1Period,0,MA1Mode,MA1Price,y);
       ExtMapBuffer2[i]=iMA(NULL,timeFrame,MA2Period,0,MA2Mode,MA2Price,y);
         
       //
       //
       //
       //
       //
       
       if (RiskModel==1)
       {
          ExtMapBuffer3[i]=ExtMapBuffer2[i]+55* Point*pipMultiplier;
          ExtMapBuffer4[i]=ExtMapBuffer2[i]+89* Point*pipMultiplier;
          ExtMapBuffer5[i]=ExtMapBuffer2[i]+144*Point*pipMultiplier;
         
          ExtMapBuffer6[i]=ExtMapBuffer2[i]-55* Point*pipMultiplier;
          ExtMapBuffer7[i]=ExtMapBuffer2[i]-89* Point*pipMultiplier;
          ExtMapBuffer8[i]=ExtMapBuffer2[i]-144*Point*pipMultiplier;    
       }
         
       if (RiskModel==2)
       {
          ExtMapBuffer3[i]=ExtMapBuffer2[i]+34*Point*pipMultiplier;
          ExtMapBuffer4[i]=ExtMapBuffer2[i]+55*Point*pipMultiplier;
          ExtMapBuffer5[i]=ExtMapBuffer2[i]+89*Point*pipMultiplier;
            
          ExtMapBuffer6[i]=ExtMapBuffer2[i]-34*Point*pipMultiplier;
          ExtMapBuffer7[i]=ExtMapBuffer2[i]-55*Point*pipMultiplier;   
          ExtMapBuffer8[i]=ExtMapBuffer2[i]-89*Point*pipMultiplier;
       }
         
       if (RiskModel==3)
       {
          ExtMapBuffer3[i]=ExtMapBuffer2[i]+233*Point*pipMultiplier;
          ExtMapBuffer4[i]=ExtMapBuffer2[i]+377*Point*pipMultiplier;
          ExtMapBuffer5[i]=ExtMapBuffer2[i]+610*Point*pipMultiplier;
            
          ExtMapBuffer6[i]=ExtMapBuffer2[i]-233*Point*pipMultiplier;
          ExtMapBuffer7[i]=ExtMapBuffer2[i]-377*Point*pipMultiplier;
          ExtMapBuffer8[i]=ExtMapBuffer2[i]-610*Point*pipMultiplier;    
       }
       
       if (RiskModel==4)
       {
          ExtMapBuffer3[i]=ExtMapBuffer2[i]+377*Point*pipMultiplier;
          ExtMapBuffer4[i]=ExtMapBuffer2[i]+610*Point*pipMultiplier;
          ExtMapBuffer5[i]=ExtMapBuffer2[i]+987*Point*pipMultiplier;
            
          ExtMapBuffer6[i]=ExtMapBuffer2[i]-377*Point*pipMultiplier;
          ExtMapBuffer7[i]=ExtMapBuffer2[i]-610*Point*pipMultiplier;
          ExtMapBuffer8[i]=ExtMapBuffer2[i]-987*Point*pipMultiplier;    
       }
         
      
       }
       
       //+--------------------------------------------------------------------------+
       //-                          ALERTS    PlaySound("alert.wav");               -
       //+--------------------------------------------------------------------------+
       
      if(Alerts)
      {
         if(Close[i]==ExtMapBuffer1[i] || Close[i]==ExtMapBuffer2[i])
         {
            PlaySound("alert.wav");
         }
         if(Close[i]==ExtMapBuffer3[i] || Close[i]==ExtMapBuffer4[i] || Close[i]==ExtMapBuffer5[i])
         {
            PlaySound("alert.wav");
         }
         if(Close[i]==ExtMapBuffer6[i] || Close[i]==ExtMapBuffer7[i] || Close[i]==ExtMapBuffer8[i])
         {
            PlaySound("alert.wav");
         }
      }
         
  //---- done

//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+